summaryrefslogtreecommitdiffstats
path: root/chrome/chrome.xcodeproj/generate_headers.sh
diff options
context:
space:
mode:
authorpinkerton@google.com <pinkerton@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2009-01-07 21:05:14 +0000
committerpinkerton@google.com <pinkerton@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2009-01-07 21:05:14 +0000
commitd9c77c72ec839acd88bda6ffb04862af4c06d51f (patch)
tree5ee8fb5ce62d898b28820ed74026801075da8d6c /chrome/chrome.xcodeproj/generate_headers.sh
parenta9587174bf756946e32ac84f6ba6a38923f10ce3 (diff)
downloadchromium_src-d9c77c72ec839acd88bda6ffb04862af4c06d51f.zip
chromium_src-d9c77c72ec839acd88bda6ffb04862af4c06d51f.tar.gz
chromium_src-d9c77c72ec839acd88bda6ffb04862af4c06d51f.tar.bz2
adding more grit love to other targets, updating scons files for things that work on mac. moving the shell script phase to a standalone target to share it between targets. adding new unit test files.
Review URL: http://codereview.chromium.org/16585 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@7675 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'chrome/chrome.xcodeproj/generate_headers.sh')
-rwxr-xr-xchrome/chrome.xcodeproj/generate_headers.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/chrome/chrome.xcodeproj/generate_headers.sh b/chrome/chrome.xcodeproj/generate_headers.sh
new file mode 100755
index 0000000..b7921f1
--- /dev/null
+++ b/chrome/chrome.xcodeproj/generate_headers.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+GENERATED_DIR="${CONFIGURATION_TEMP_DIR}/generated"
+GRIT_DIR="${GENERATED_DIR}/grit"
+mkdir -p "${GRIT_DIR}"
+
+python "${PROJECT_DIR}/../tools/grit/grit.py" \
+ -i "${PROJECT_DIR}/app/generated_resources.grd" build \
+ -o "${GRIT_DIR}"
+
+python "${PROJECT_DIR}/../tools/grit/grit.py" \
+ -i "${PROJECT_DIR}/app/chromium_strings.grd" build \
+ -o "${GRIT_DIR}"